Subject: [bug#66932] [PATCH] services: Add xremap service.

From: VÖRÖSKŐI András <[email-masked]>
Date: Mon, 04 Dec 2023 18:43:42 +0100

Hi Ludo,

Thanks for the reply.

On Sat Dec 2, 2023 at 11:48 AM CET, Ludovic Courtès wrote:
> Hi András,
>
> Did you consider writing “bindings” so that one can configure it Scheme,
> as is the case for most other services?  (To be clear, I think we should
> still allow people to provide their own Yaml file as is done here.)

I did consider that, but I am not familiar with guile, so that is too
hard for me and there are a lot of combinations to handle.

> If that’s too tricky/impractical, we can keep the patch as is, but
> adding “native” configuration on top of that would be sweet.

It is tricky for me and telling the truth I do not see the benefit.

> I wonder if it would make sense, in a future patch, to also provide
> ‘home-xremap-service-type’ as a direct mapping of this service.  Food
> for thought.

I was thinking about that, but was not sure. There is a section in the README about that:
https://github.com/k0kubun/xremap#running-xremap-without-sudo

The basic idea is creating an input group with write permission for every
input type.
I think we can not automate the "add user to input group" in the home-service,
so that would be still a manual task.

Is this solution acceptable?

Thanks,
András